Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.crypto.policies
Class SigningCredential

    java.lang.Object
      be.fgov.ehealth.etee.crypto.policies.SigningCredential

    public final class SigningCredential

extends java.lang.Object

A signing credential consists of a `PrivateKey` and a chain of certificates.

Method Summary
`static SigningCredential` | `create(java.security.PrivateKey privateKey, java.util.List<java.security.cert.X509Certificate> certificateChain)` Create a new `SigningCredential` with a `PrivateKey` and a list of certificates.
`static SigningCredential` | `create(java.security.PrivateKey privateKey, java.security.cert.X509Certificate... certificateChain)` Create a new `SigningCredential` with a `PrivateKey` and a dynamic list of certificates.
`boolean` | `equals(java.lang.Object obj)`
`java.util.List<java.security.cert.X509Certificate>` | `getCertificateChain()`
`java.security.PrivateKey` | `getPrivateKey()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static SigningCredential create(java.security.PrivateKey privateKey,
                                           java.security.cert.X509Certificate... certificateChain)

  Create a new `SigningCredential` with a `PrivateKey` and a dynamic list of certificates.

  Parameters:
    `privateKey` - A private key to sign the message.
    `certificateChain` - A chain of trusted certificates.
  Returns:
    A new SigningCredential

### create

    public static SigningCredential create(java.security.PrivateKey privateKey,
                                           java.util.List<java.security.cert.X509Certificate> certificateChain)

  Create a new `SigningCredential` with a `PrivateKey` and a list of certificates.

  Parameters:
    `privateKey` - A private key to sign the message.
    `certificateChain` - A chain of trusted certificates.
  Returns:
    A new SigningCredential

### getPrivateKey

    public java.security.PrivateKey getPrivateKey()

### getCertificateChain

    public java.util.List<java.security.cert.X509Certificate> getCertificateChain()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2018 eHealth. All Rights Reserved.